4Suite™ API Documentation

# ► Module Ft.Server.FtRpc

An abstraction of our internal RPC protocol. Currently this is implemented as sending pickled dictionaries across a socket. We have plans to make this more cross language friendly

Classes: CommandCodes, FtServerFtRpcException, ResponseCodes

## Modules

Commands | RPC server commands
Marshal | RPC server protocol implementation
MessageSource | Error codes and messages for the repository RPC server
Responses | RPC server protocol responses

## Classes

class CommandCodes

### Fields

LOGIN = 1
LOGOUT = 2
REMOTE_METHOD = 4
REMOTE_RDF = 5
RESOURCE_TYPE = 3

class FtServerFtRpcException(Ft.Server.FtServerBaseException)

### Methods inherited from class Ft.Server.FtServerBaseException

__init__

### Methods inherited from class Ft.FtException

__getattr__, __repr__, __str__

### Methods inherited from class exceptions.Exception

__getitem__

### Fields

MessageSource = <module 'Ft.Server.FtRpc.MessageSource' from 'bu...SE-p2-i386-2.4/Ft/Server/FtRpc/MessageSource.py'>

class ResponseCodes

### Fields

FTSERVER_ERROR = 5
GENERAL_ERROR = 2
METHOD_RESULTS = 4
OK = 1
RDF_RESULTS = 6
RESOURCE_TYPE = 3